Index: typo3/sysext/rtehtmlarea/htmlarea/htmlarea.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/htmlarea.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/htmlarea.js	(copie de travail)
@@ -356,7 +356,9 @@
 				config.helpTitle = config.tooltip;
 				break;
 			default:
-				config.iconCls = config.id;
+				if (!config.iconCls) {
+					config.iconCls = config.id;
+				}
 				break;
 		}
 		config.cmd = config.id;
@@ -4451,7 +4453,7 @@
 			border: false,
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			//resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				afterrender: {
 					fn: this.onContainerResize
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/AboutEditor/about-editor.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/AboutEditor/about-editor.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/AboutEditor/about-editor.js	(copie de travail)
@@ -61,7 +61,8 @@
 			tooltip		: this.localize(buttonId.toLowerCase()),
 			action		: 'onButtonPress',
 			textMode	: true,
-			dialog		: true
+			dialog		: true,
+			iconCls		: 'htmlarea-action-editor-show-about'
 		};
 		this.registerButton(buttonConfiguration);
 		return true;
@@ -116,7 +117,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/Acronym/acronym.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/Acronym/acronym.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/Acronym/acronym.js	(copie de travail)
@@ -60,21 +60,20 @@
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
-		
 		/*
 		 * Registering the button
 		 */
-		var buttonId = "Acronym";
+		var buttonId = 'Acronym';
 		var buttonConfiguration = {
 			id		: buttonId,
-			tooltip		: this.localize("Insert/Modify Acronym"),
-			action		: "onButtonPress",
+			tooltip		: this.localize('Insert/Modify Acronym'),
+			action		: 'onButtonPress',
 			hide		: (this.pageTSConfiguration.noAcronym && this.pageTSConfiguration.noAbbr),
 			dialog		: true,
+			iconCls		: 'htmlarea-action-abbreviation-edit',
 			contextMenuTitle: this.localize(buttonId + '-contextMenuTitle')
 		};
 		this.registerButton(buttonConfiguration);
-		
 		return true;
 	 },
 	/*
@@ -149,7 +148,7 @@
 			border: false,
 			width: dimensions.width,
 			height: 'auto',
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/BlockElements/block-elements.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/BlockElements/block-elements.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/BlockElements/block-elements.js	(copie de travail)
@@ -167,7 +167,6 @@
 				this.registerHotKey(hotKeyConfiguration);
 			}
 		}, this);
-
 		/*
 		 * Registering the buttons
 		 */
@@ -177,47 +176,45 @@
 				var buttonConfiguration = {
 					id		: buttonId,
 					tooltip		: this.localize(buttonId + '-Tooltip') || this.localize(button[2]),
+					iconCls		: 'htmlarea-action-' + button[3],
 					contextMenuTitle: this.localize(buttonId + '-contextMenuTitle'),
-					action		: "onButtonPress",
+					action		: 'onButtonPress',
 					hotKey		: (this.buttonsConfiguration[button[2]] ? this.buttonsConfiguration[button[2]].hotKey : (button[1] ? button[1] : null))
 				};
 				this.registerButton(buttonConfiguration);
 			}
 		}
 		return true;
-	 },
-	 
+	},
 	/*
 	 * The list of buttons added by this plugin
 	 */
 	buttonList: {
-		Indent			: [null, "TAB", "indent"],
-		Outdent			: [null, "SHIFT-TAB", "outdent"],
-		Blockquote		: [null, null, "blockquote"],
-		InsertParagraphBefore	: [null, null, "insertparagraphbefore"],
-		InsertParagraphAfter	: [null, null, "insertparagraphafter"],
-		JustifyLeft		: [null, "l", "left"],
-		JustifyCenter		: [null, "e", "center"],
-		JustifyRight		: [null, "r", "right"],
-		JustifyFull		: [null, "j", "justifyfull"],
-		InsertOrderedList	: [null, null, "orderedlist"],
-		InsertUnorderedList	: [null, null, "unorderedlist"],
-		InsertHorizontalRule	: [null, null, "inserthorizontalrule"]
+		Indent			: [null, 'TAB', 'indent', 'indent'],
+		Outdent			: [null, 'SHIFT-TAB', 'outdent', 'outdent'],
+		Blockquote		: [null, null, 'blockquote', 'blockquote'],
+		InsertParagraphBefore	: [null, null, 'insertparagraphbefore', 'paragraph-insert-before'],
+		InsertParagraphAfter	: [null, null, 'insertparagraphafter', 'paragraph-insert-after'],
+		JustifyLeft		: [null, 'l', 'left', 'justify-left'],
+		JustifyCenter		: [null, 'e', 'center', 'justify-center'],
+		JustifyRight		: [null, 'r', 'right', 'justify-right'],
+		JustifyFull		: [null, 'j', 'justifyfull', 'justify-full'],
+		InsertOrderedList	: [null, null, 'orderedlist', 'ordered-list'],
+		InsertUnorderedList	: [null, null, 'unorderedlist', 'unordered-list'],
+		InsertHorizontalRule	: [null, null, 'inserthorizontalrule', 'horizontal-rule-insert']
 	},
-	
 	/*
 	 * The list of hotkeys associated with block elements and registered by default by this plugin
 	 */
-	defaultHotKeys : {
-			"p"	: "n",
-			"h1"	: "1",
-			"h2"	: "2",
-			"h3"	: "3",
-			"h4"	: "4",
-			"h5"	: "5",
-			"h6"	: "6"
+	defaultHotKeys: {
+			'p'	: 'n',
+			'h1'	: '1',
+			'h2'	: '2',
+			'h3'	: '3',
+			'h4'	: '4',
+			'h5'	: '5',
+			'h6'	: '6'
 	},
-	
 	/*
 	 * The function returns true if the type of block element is allowed in the current configuration
 	 */
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/CharacterMap/character-map.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/CharacterMap/character-map.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/CharacterMap/character-map.js	(copie de travail)
@@ -62,10 +62,10 @@
 			id		: buttonId,
 			tooltip		: this.localize(buttonId + '-Tooltip'),
 			action		: 'onButtonPress',
-			dialog		: true
+			dialog		: true,
+			iconCls		: 'htmlarea-action-character-insert-from-map'
 		};
 		this.registerButton(buttonConfiguration);
-
 		return true;
 	 },
 	/*
@@ -363,7 +363,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/ContextMenu/context-menu.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/ContextMenu/context-menu.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/ContextMenu/context-menu.js	(copie de travail)
@@ -150,7 +150,7 @@
 			itemId: itemId,
 			cls: 'button',
 			overCls: 'hover',
-			iconCls: itemId,
+			iconCls: 'htmlarea-action-delete-item',
 			helpText: this.localize('Remove this node from the document')
 		});
 		return itemsConfig;
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/CopyPaste/copy-paste.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/CopyPaste/copy-paste.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/CopyPaste/copy-paste.js	(copie de travail)
@@ -58,7 +58,6 @@
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
-		
 		/*
 		 * Registering the buttons
 		 */
@@ -68,7 +67,8 @@
 				var buttonConfiguration = {
 					id		: buttonId,
 					tooltip		: this.localize(buttonId.toLowerCase()),
-					action		: "onButtonPress",
+					iconCls		: 'htmlarea-action-' + button[2],
+					action		: 'onButtonPress',
 					context		: button[0],
 					selection	: button[3],
 					hotKey		: (this.buttonsConfiguration[button[2]] ? this.buttonsConfiguration[button[2]].hotKey : (button[1] ? button[1] : null))
@@ -84,17 +84,15 @@
 			}
 		}
 		return true;
-	 },
-	 
+	},
 	/*
 	 * The list of buttons added by this plugin
 	 */
-	buttonList : {
-		Copy	: [null, "c", "copy", true],
-		Cut	: [null, "x", "cut", true],
-		Paste	: [null, "v", "paste", false]
+	buttonList: {
+		Copy	: [null, 'c', 'copy', true],
+		Cut	: [null, 'x', 'cut', true],
+		Paste	: [null, 'v', 'paste', false]
 	},
-	
 	/*
 	 * This function gets called when a button or a hotkey was pressed.
 	 *
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultImage/default-image.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultImage/default-image.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultImage/default-image.js	(copie de travail)
@@ -86,7 +86,8 @@
 			tooltip		: this.localize('insertimage'),
 			action		: 'onButtonPress',
 			hotKey		: (this.pageTSConfiguration ? this.pageTSConfiguration.hotKey : null),
-			dialog		: true
+			dialog		: true,
+			iconCls		: 'htmlarea-action-image-edit'
 		};
 		this.registerButton(buttonConfiguration);
 		return true;
@@ -185,7 +186,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultInline/default-inline.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultInline/default-inline.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultInline/default-inline.js	(copie de travail)
@@ -53,7 +53,6 @@
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
-		
 		/*
 		 * Registering the buttons
 		 */
@@ -61,9 +60,10 @@
 			var buttonId = button[0];
 			var buttonConfiguration = {
 				id		: buttonId,
-				tooltip		: this.localize(buttonId + "-Tooltip"),
+				tooltip		: this.localize(buttonId + '-Tooltip'),
+				iconCls		: 'htmlarea-action-' + button[2],
 				textMode	: false,
-				action		: "onButtonPress",
+				action		: 'onButtonPress',
 				context		: button[1],
 				hotKey		: (this.editorConfiguration.buttons[buttonId.toLowerCase()]?this.editorConfiguration.buttons[buttonId.toLowerCase()].hotKey:null)
 			};
@@ -72,14 +72,16 @@
 		}, this);
 		return true;
 	},
-	/* The list of buttons added by this plugin */
+	/*
+	 * The list of buttons added by this plugin
+	 */
 	buttonList: [
-		["Bold", null],
-		["Italic", null],
-		["StrikeThrough", null],
-		["Subscript", null],
-		["Superscript", null],
-		["Underline", null]
+		['Bold', null, 'bold'],
+		['Italic', null, 'italic'],
+		['StrikeThrough', null, 'strike-through'],
+		['Subscript', null, 'subscript'],
+		['Superscript', null, 'superscript'],
+		['Underline', null, 'underline']
 	],
 	/*
 	 * This function gets called when some inline element button was pressed.
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultLink/default-link.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultLink/default-link.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultLink/default-link.js	(copie de travail)
@@ -66,7 +66,8 @@
 			var buttonConfiguration = {
 				id		: buttonId,
 				tooltip		: this.localize(buttonId.toLowerCase()),
-				action		: "onButtonPress",
+				iconCls		: 'htmlarea-action-' + button[4],
+				action		: 'onButtonPress',
 				hotKey		: (this.pageTSConfiguration ? this.pageTSConfiguration.hotKey : null),
 				context		: button[1],
 				selection	: button[2],
@@ -80,8 +81,8 @@
 	 * The list of buttons added by this plugin
 	 */
 	buttonList: [
-		['CreateLink', 'a,img', false, true],
-		['UnLink', 'a', false, false]
+		['CreateLink', 'a,img', false, true, 'link-edit'],
+		['UnLink', 'a', false, false, 'unlink']
 	],
 	/*
 	 * Sets of default configuration values for dialogue form fields
@@ -178,7 +179,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				afterrender: {
 					fn: this.onAfterRender,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/DefinitionList/definition-list.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/DefinitionList/definition-list.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/DefinitionList/definition-list.js	(copie de travail)
@@ -67,7 +67,6 @@
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
-		
 		/*
 		 * Registering the buttons
 		 */
@@ -75,8 +74,9 @@
 			var buttonId = button[0];
 			var buttonConfiguration = {
 				id		: buttonId,
-				tooltip		: this.localize(buttonId + "-Tooltip"),
-				action		: "onButtonPress",
+				tooltip		: this.localize(buttonId + '-Tooltip'),
+				iconCls		: 'htmlarea-action-' + button[5],
+				action		: 'onButtonPress',
 				context		: button[1],
 				hotKey		: (this.buttonsConfiguration[button[3]] ? this.buttonsConfiguration[button[3]].hotKey : (button[2] ? button[2] : null)),
 				noAutoUpdate	: button[4]
@@ -84,16 +84,15 @@
 			this.registerButton(buttonConfiguration);
 		}, this);
 		return true;
-	 },
-	 
+	},
 	/*
 	 * The list of buttons added by this plugin
 	 */
-	buttonList : [
-		['Indent', null, 'TAB', 'indent', false],
-		['Outdent', null, 'SHIFT-TAB', 'outdent', false],
-		['DefinitionList', null, null, 'definitionlist', true],
-		['DefinitionItem', 'dd,dt', null, 'definitionitem', false]
+	buttonList: [
+		['Indent', null, 'TAB', 'indent', false, 'indent'],
+		['Outdent', null, 'SHIFT-TAB', 'outdent', false, 'outdent'],
+		['DefinitionList', null, null, 'definitionlist', true, 'definition-list'],
+		['DefinitionItem', 'dd,dt', null, 'definitionitem', false, 'definition-list-item']
 	 ],
 	/*
 	 * This function gets called when the plugin is generated
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/EditorMode/editor-mode.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/EditorMode/editor-mode.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/EditorMode/editor-mode.js	(copie de travail)
@@ -59,10 +59,11 @@
 			buttonId = button[0];
 			var buttonConfiguration = {
 				id		: buttonId,
-				tooltip		: this.localize(buttonId + "-Tooltip"),
-				action		: "onButtonPress",
+				tooltip		: this.localize(buttonId + '-Tooltip'),
+				iconCls		: 'htmlarea-action-editor-toggle-mode',
+				action		: 'onButtonPress',
 				context		: button[1],
-				textMode	: (buttonId == "TextMode")
+				textMode	: (buttonId == 'TextMode')
 			};
 			this.registerButton(buttonConfiguration);
 		}
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js	(copie de travail)
@@ -60,6 +60,7 @@
 		var buttonConfiguration = {
 			id		: buttonId,
 			tooltip		: this.localize('Find and Replace'),
+			iconCls		: 'htmlarea-action-find-replace',
 			action		: 'onButtonPress',
 			dialog		: true
 		};
@@ -128,7 +129,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/InlineElements/inline-elements.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/InlineElements/inline-elements.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/InlineElements/inline-elements.js	(copie de travail)
@@ -109,68 +109,67 @@
 				action		: "onButtonPress",
 				context		: button[1],
 				hide		: false,
-				selection	: false
+				selection	: false,
+				iconCls		: 'htmlarea-action-' + button[2]
 			};
 			this.registerButton(buttonConfiguration);
 		}
 	},
-	
 	/*
 	 * The list of buttons added by this plugin
 	 */
-	buttonList : [
-		["BiDiOverride", null],
-		["Big", null],
-		["Bold", null],
-		["Citation", null],
-		["Code", null],
-		["Definition", null],
-		["DeletedText", null],
-		["Emphasis", null],
-		["InsertedText", null],
-		["Italic", null],
-		["Keyboard", null],
-		//["Label", null],
-		["MonoSpaced", null],
-		["Quotation", null],
-		["Sample", null],
-		["Small", null],
-		["Span", null],
-		["StrikeThrough", null],
-		["Strong", null],
-		["Subscript", null],
-		["Superscript", null],
-		["Underline", null],
-		["Variable", null]
+	buttonList: [
+		['BiDiOverride', null, 'bidi-override'],
+		['Big', null, 'big'],
+		['Bold', null, 'bold'],
+		['Citation', null, 'citation'],
+		['Code', null, 'code'],
+		['Definition', null, 'definition'],
+		['DeletedText', null, 'deleted-text'],
+		['Emphasis', null, 'emphasis'],
+		['InsertedText', null, 'inserted-text'],
+		['Italic', null, 'italic'],
+		['Keyboard', null, 'keyboard'],
+		//['Label', null, 'Label'],
+		['MonoSpaced', null, 'mono-spaced'],
+		['Quotation', null, 'quotation'],
+		['Sample', null, 'sample'],
+		['Small', null, 'small'],
+		['Span', null, 'span'],
+		['StrikeThrough', null, 'strike-through'],
+		['Strong', null, 'strong'],
+		['Subscript', null, 'subscript'],
+		['Superscript', null, 'superscript'],
+		['Underline', null, 'underline'],
+		['Variable', null, 'variable']
 	],
-	
 	/*
 	 * Conversion object: button names to corresponding tag names
 	 */
-	convertBtn : {
-		BiDiOverride	: "bdo",
-		Big		: "big",
-		Bold		: "b",
-		Citation	: "cite",
-		Code		: "code",
-		Definition	: "dfn",
-		DeletedText	: "del",
-		Emphasis	: "em",
-		InsertedText	: "ins",
-		Italic		: "i",
-		Keyboard	: "kbd",
-		//Label		: "label",
-		MonoSpaced	: "tt",
-		Quotation	: "q",
-		Sample		: "samp",
-		Small		: "small",
-		Span		: "span",
-		StrikeThrough	: "strike",
-		Strong		: "strong",
-		Subscript	: "sub",
-		Superscript	: "sup",
-		Underline	: "u",
-		Variable	: "var"
+	convertBtn: {
+		BiDiOverride	: 'bdo',
+		Big		: 'big',
+		Bold		: 'b',
+		Citation	: 'cite',
+		Code		: 'code',
+		Definition	: 'dfn',
+		DeletedText	: 'del',
+		Emphasis	: 'em',
+		InsertedText	: 'ins',
+		Italic		: 'i',
+		Keyboard	: 'kbd',
+		//Label		: 'label',
+		MonoSpaced	: 'tt',
+		Quotation	: 'q',
+		Sample		: 'samp',
+		Small		: 'small',
+		Span		: 'span',
+		StrikeThrough	: 'strike',
+		Strong		: 'strong',
+		Subscript	: 'sub',
+		Superscript	: 'sup',
+		Underline	: 'u',
+		Variable	: 'var'
 	 },
 	
 	/*
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/insert-smiley.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/insert-smiley.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/insert-smiley.js	(copie de travail)
@@ -85,6 +85,7 @@
 		var buttonConfiguration = {
 			id		: buttonId,
 			tooltip		: this.localize('Insert Smiley'),
+			iconCls		: 'htmlarea-action-smiley-insert',
 			action		: 'onButtonPress',
 			hotKey		: (this.pageTSConfiguration ? this.pageTSConfiguration.hotKey : null),
 			dialog		: true
@@ -113,7 +114,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/Language/language.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/Language/language.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/Language/language.js	(copie de travail)
@@ -81,7 +81,6 @@
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
-
 		/*
 		 * Registering the buttons
 		 */
@@ -91,13 +90,13 @@
 			buttonId = button[0];
 			var buttonConfiguration = {
 				id		: buttonId,
-				tooltip		: this.localize(buttonId + "-Tooltip"),
-				action		: "onButtonPress",
+				tooltip		: this.localize(buttonId + '-Tooltip'),
+				iconCls		: 'htmlarea-action-' + button[2],
+				action		: 'onButtonPress',
 				context		: button[1]
 			};
 			this.registerButton(buttonConfiguration);
 		}
-
 		/*
 		 * Registering the dropdown list
 		 */
@@ -111,9 +110,9 @@
 		}
 		var dropDownConfiguration = {
 			id		: buttonId,
-			tooltip		: this.localize(buttonId + "-Tooltip"),
+			tooltip		: this.localize(buttonId + '-Tooltip'),
 			options		: options,
-			action		: "onChange"
+			action		: 'onChange'
 		};
 		if (this.buttonsConfiguration.language) {
 			dropDownConfiguration.width = this.buttonsConfiguration.language.width ? parseInt(this.buttonsConfiguration.language.width, 10) : 200;
@@ -126,15 +125,15 @@
 		}
 		this.registerDropDown(dropDownConfiguration);
 		return true;
-	 },
-
-	/* The list of buttons added by this plugin */
-	buttonList : [
-		["LeftToRight", null],
-		["RightToLeft", null],
-		["ShowLanguageMarks", null]
+	},
+	/*
+	 * The list of buttons added by this plugin
+	 */
+	buttonList: [
+		['LeftToRight', null, 'text-direction-left-to-right'],
+		['RightToLeft', null, 'text-direction-right-to-left'],
+		['ShowLanguageMarks', null, 'language-marks-show']
 	],
-
 	/*
 	 * This function gets called when the editor is generated
 	 */
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/QuickTag/quick-tag.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/QuickTag/quick-tag.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/QuickTag/quick-tag.js	(copie de travail)
@@ -65,6 +65,7 @@
 		var buttonConfiguration = {
 			id		: buttonId,
 			tooltip		: this.localize('Quick Tag Editor'),
+			iconCls		: 'htmlarea-action-tag-insert',
 			action		: 'onButtonPress',
 			selection	: true,
 			dialog		: true
@@ -448,7 +449,7 @@
 			border: false,
 			width: dimensions.width,
 			height: 'auto',
-			iconCls: arguments.buttonId,
+			iconCls: this.getButton(arguments.buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/RemoveFormat/remove-format.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/RemoveFormat/remove-format.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/RemoveFormat/remove-format.js	(copie de travail)
@@ -57,6 +57,7 @@
 		var buttonConfiguration = {
 			id		: buttonId,
 			tooltip		: this.localize(buttonId + 'Tooltip'),
+			iconCls		: 'htmlarea-action-remove-format',
 			action		: 'onButtonPress',
 			dialog		: true
 		};
@@ -107,7 +108,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js	(copie de travail)
@@ -69,6 +69,7 @@
 		var buttonConfiguration = {
 			id		: buttonId,
 			tooltip		: this.localize('SC-spell-check'),
+			iconCls		: 'htmlarea-action-spell-check',
 			action		: 'onButtonPress',
 			dialog		: true
 		};
@@ -135,7 +136,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: buttonId,
+			iconCls: this.getButton(buttonId).iconCls,
 			listeners: {
 				afterrender: {
 					fn: this.onWindowAfterRender,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js	(copie de travail)
@@ -85,7 +85,6 @@
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
-		
 		/*
 		 * Registering the buttons
 		 */
@@ -93,46 +92,45 @@
 		var buttonList = this.buttonList, buttonId;
 		for (var i = 0, n = buttonList.length; i < n; ++i) {
 			var button = buttonList[i];
-			buttonId = (button[0] === "InsertTable") ? button[0] : ("TO-" + button[0]);
+			buttonId = (button[0] === 'InsertTable') ? button[0] : ('TO-' + button[0]);
 			var buttonConfiguration = {
 				id		: buttonId,
-				tooltip		: this.localize((buttonId === "InsertTable") ? "Insert Table" : buttonId),
-				action		: "onButtonPress",
+				tooltip		: this.localize((buttonId === 'InsertTable') ? 'Insert Table' : buttonId),
+				iconCls		: 'htmlarea-action-' + button[4],
+				action		: 'onButtonPress',
 				hotKey		: (this.buttonsConfiguration[button[2]] ? this.buttonsConfiguration[button[2]].hotKey : null),
 				context		: button[1],
-				hide		: ((buttonId == "TO-toggle-borders") ? hideToggleBorders : ((button[0] === "InsertTable") ? false : this.editorConfiguration.hideTableOperationsInToolbar)),
+				hide		: ((buttonId == 'TO-toggle-borders') ? hideToggleBorders : ((button[0] === 'InsertTable') ? false : this.editorConfiguration.hideTableOperationsInToolbar)),
 				dialog		: button[3]
 			};
 			this.registerButton(buttonConfiguration);
 		}
-		
 		return true;
-	 },
-	 
+	 }, 
 	/*
 	 * The list of buttons added by this plugin
 	 */
 	buttonList: [
-		["InsertTable",		null,				"table", true],
-		["toggle-borders",	null, 				"toggleborders", false],
-		["table-prop",		"table",			"tableproperties", true],
-		["table-restyle",	"table",			"tablerestyle", false],
-		["row-prop",		"tr",				"rowproperties", true],
-		["row-insert-above",	"tr",				"rowinsertabove", false],
-		["row-insert-under",	"tr",				"rowinsertunder", false],
-		["row-delete",		"tr",				"rowdelete", false],
-		["row-split",		"td,th[rowSpan!=1]",		"rowsplit", false],
-		["col-prop",		"td,th",			"columnproperties", true],
-		["col-insert-before",	"td,th",			"columninsertbefore", false],
-		["col-insert-after",	"td,th",			"columninsertafter", false],
-		["col-delete",		"td,th",			"columndelete", false],
-		["col-split",		"td,th[colSpan!=1]",		"columnsplit", false],
-		["cell-prop",		"td,th",			"cellproperties", true],
-		["cell-insert-before",	"td,th",			"cellinsertbefore", false],
-		["cell-insert-after",	"td,th",			"cellinsertafter", false],
-		["cell-delete",		"td,th",			"celldelete", false],
-		["cell-merge",		"tr",				"cellmerge", false],
-		["cell-split",		"td,th[colSpan!=1,rowSpan!=1]",	"cellsplit", false]
+		['InsertTable',		null,				'table', true, 'table-insert'],
+		['toggle-borders',	null, 				'toggleborders', false, 'table-show-borders'],
+		['table-prop',		'table',			'tableproperties', true, 'table-edit-properties'],
+		['table-restyle',	'table',			'tablerestyle', false, 'table-restyle'],
+		['row-prop',		'tr',				'rowproperties', true, 'row-edit-properties'],
+		['row-insert-above',	'tr',				'rowinsertabove', false, 'row-insert-above'],
+		['row-insert-under',	'tr',				'rowinsertunder', false, 'row-insert-under'],
+		['row-delete',		'tr',				'rowdelete', false, 'row-delete'],
+		['row-split',		'td,th[rowSpan!=1]',		'rowsplit', false, 'row-split'],
+		['col-prop',		'td,th',			'columnproperties', true, 'column-edit-properties'],
+		['col-insert-before',	'td,th',			'columninsertbefore', false, 'column-insert-before'],
+		['col-insert-after',	'td,th',			'columninsertafter', false, 'column-insert-after'],
+		['col-delete',		'td,th',			'columndelete', false, 'column-delete'],
+		['col-split',		'td,th[colSpan!=1]',		'columnsplit', false, 'column-split'],
+		['cell-prop',		'td,th',			'cellproperties', true, 'cell-edit-properties'],
+		['cell-insert-before',	'td,th',			'cellinsertbefore', false, 'cell-insert-before'],
+		['cell-insert-after',	'td,th',			'cellinsertafter', false, 'cell-insert-after'],
+		['cell-delete',		'td,th',			'celldelete', false, 'cell-delete'],
+		['cell-merge',		'tr',				'cellmerge', false, 'cell-merge'],
+		['cell-split',		'td,th[colSpan!=1,rowSpan!=1]',	'cellsplit', false, 'cell-split']
 	],
 	/*
 	 * Sets of default configuration values for dialogue form fields
@@ -349,7 +347,7 @@
 			border: false,
 			width: dimensions.width,
 			height: 'auto',
-			iconCls: arguments.buttonId,
+			iconCls: this.getButton(arguments.buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Color/typo3color.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Color/typo3color.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Color/typo3color.js	(copie de travail)
@@ -83,6 +83,7 @@
 			var buttonConfiguration = {
 				id		: buttonId,
 				tooltip		: this.localize(buttonId),
+				iconCls		: 'htmlarea-action-' + button[2],
 				action		: 'onButtonPress',
 				hotKey		: (this.buttonsConfiguration[button[1]] ? this.buttonsConfiguration[button[1]].hotKey : null),
 				dialog		: true
@@ -95,8 +96,8 @@
 	 * The list of buttons added by this plugin
 	 */
 	buttonList: [
-		['ForeColor', 'textcolor'],
-		['HiliteColor', 'bgcolor']
+		['ForeColor', 'textcolor', 'color-foreground'],
+		['HiliteColor', 'bgcolor', 'color-background']
 	],
 	/*
 	 * Conversion object: button name to corresponding style property name
@@ -309,7 +310,7 @@
 			height: 'auto',
 				// As of ExtJS 3.1, JS error with IE when the window is resizable
 			resizable: !Ext.isIE,
-			iconCls: arguments.buttonId,
+			iconCls: this.getButton(arguments.buttonId).iconCls,
 			listeners: {
 				close: {
 					fn: this.onClose,
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Image/typo3image.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Image/typo3image.js	(révision 7257)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Image/typo3image.js	(copie de travail)
@@ -59,6 +59,7 @@
 		var buttonConfiguration = {
 			id		: buttonId,
 			tooltip		: this.localize(buttonId + '-Tooltip'),
+			iconCls		: 'htmlarea-action-image-edit',
 			action		: 'onButtonPress',
 			hotKey		: (this.pageTSConfiguration ? this.pageTSConfiguration.hotKey : null),
 			dialog		: true
